Bug 283701 - Review Request: vecmath1.2 - Free version of vecmath from the Java3D 1.2 specification
Review Request: vecmath1.2 - Free version of vecmath from the Java3D 1.2 spec...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-08 16:02 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-17 16:19:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-09-08 16:02:03 EDT
Spec URL: http://people.atrpms.net/~hdegoede/vecmath1.2.spec
SRPM URL: http://people.atrpms.net/~hdegoede/vecmath1.2-1.14-1.fc8.src.rpm
Description:
This is an unofficial implementation (java source code) of the javax.vecmath
package specified in the Java(TM) 3D API 1.2 . The package includes classes
for 3-space vector/point, 4-space vector, 4x4, 3x3 matrix, quaternion,
axis-angle combination and etc. which are often utilized for computer graphics
mathematics. Most of the classes have single and double precision versions.
Generic matrices' LU and SV decomposition are also there.
Comment 1 Jon Ciesla 2007-10-16 09:14:48 EDT
Builds, local F7 and mock rawhide.
rpmlint:
vecmath1.2-javadoc.i386: W: dangerous-command-in-%post rm

Everything else looks OK on review.
Comment 2 Hans de Goede 2007-10-16 10:53:01 EDT
(In reply to comment #1)
> Builds, local F7 and mock rawhide.
> rpmlint:
> vecmath1.2-javadoc.i386: W: dangerous-command-in-%post rm
> 

This is normal, all java packages use this maghick to properly handle the
javadoc symlinks.
Comment 3 Jon Ciesla 2007-10-16 11:15:51 EDT
All right then. :)

APPROVED.
Comment 4 Hans de Goede 2007-10-16 11:22:42 EDT
Thanks!

New Package CVS Request
=======================
Package Name:      vecmath1.2
Short Description: Free version of vecmath from the Java3D 1.2 specification
Owners:            jwrdegoede
Branches:          devel only
InitialCC:         <empty>
Cvsextras Commits: Yes
Comment 5 Kevin Fenzi 2007-10-16 12:02:13 EDT
Should this package really be named 'vecmath1.2' and not just 'vecmath'?
Comment 6 Jon Ciesla 2007-10-16 12:49:46 EDT
Made sense to me, as the 1.2 refers to a Java3D spec version, not an application
version.  On the other hand, does this help it avoid a collision?  Is there a
version of vecmath that supports another version?
Comment 7 Hans de Goede 2007-10-16 13:16:24 EDT
This is the name upstream uses, also notice that this is vecmath1.2 version
1.14, where else should I put the 1.2? 

Also notice that as is it works rather nice for the .spec file, Source0 =
%{name}-%{version}.tar.gz, and no -n to %setup is needed.
Comment 8 Kevin Fenzi 2007-10-16 18:21:24 EDT
I see. It just seemed odd to have a package with . in the name, hopefully it
won't cause any issues with yum or rpm behavior. There is already at least one
other package like that however, so I don't think it will. 
Sorry for the delay here. 
cvs done. 
Comment 9 Hans de Goede 2007-10-17 16:19:02 EDT
Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.